<picture>
  <source media="(prefers-color-scheme: dark)" srcset="./.github/logo-dark.png">
  <img alt="Open Health logo" src="./.github/logo.png">
</picture>

# Open Health - Your privacy-friendly FOSS Health Application

<a href="https://f-droid.org/repository/browse/?fdid=com.dzeio.openhealth" target="_blank">
    <img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80"/>
</a>
<a href="https://play.google.com/store/apps/details?id=com.dzeio.openhealth" target="_blank">
    <img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png" alt="Get it on Google Play" height="80"/>
</a>

## Features

- Material 3 Design !
- Log Multiple Health information like your Weight, Water Intake, Food Consumption and Steps
- An enormous Food Database through OpenFoodFact !
- no account creation !
- Your data are entirely in your control ! (when not syncing to an external service)

## Privacy and Permissions

No Ads, no tracking.

Permissions requests are for specifics usage and are only requests the first time they are needed:

|       Permission       | Why is it requested                                              |
|:----------------------:|:-----------------------------------------------------------------|
|  ACTIVITY_RECOGNITION  | Device Steps Usage                                               |

No other permissions are used (even the internet permission ;)).

## Build

- Install Android Studio
- Select your variant from the Build Variant pane (bottom left, default to debug)
- click on the debug icon for debug
- it will be running on your emulator/device

## Contributing

See [CONTRIBUTING.md](https://github.com/dzeiocom/OpenHealth/blob/master/CONTRIBUTING.md)

TL::DR

- Fork
- Commit your changes
- Pull Request on this Repository

## License

This project is licensed under the MIT License. A copy of the license is available at [LICENSE.md](https://github.com/dzeiocom/OpenHealth/blob/master/LICENSE.md)
