package com.dzeio.openhealth.data.food

import androidx.room.Entity
import androidx.room.PrimaryKey
import java.util.Calendar
import java.util.TimeZone

@Entity
data class Food(
    @PrimaryKey(autoGenerate = true)
    var id: Long = 0,
    var name: String,
    var quantity: Int,
    var proteins: Float,
    var carbohydrates: Float,
    var fat: Float,
    var energy: Float,

    var timestamp: Long = Calendar.getInstance(TimeZone.getTimeZone("UTC")).timeInMillis
)
