// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    dependencies {
        classpath("com.google.dagger:hilt-android-gradle-plugin:2.40.5")

        // Safe Navigation
        classpath("androidx.navigation:navigation-safe-args-gradle-plugin:2.5.3")

        // OSS licenses
        classpath("com.google.android.gms:oss-licenses-plugin:0.10.6")
    }
}

plugins {
    id("com.android.application") version "7.3.1" apply false
    id("com.android.library") version "7.3.1" apply false
    id("org.jetbrains.kotlin.android") version "1.6.21" apply false
}

task("clean") {
    delete(rootProject.buildDir)
    delete(project.buildDir)
}
