package com.dzeio.openhealth.units

@Deprecated("Move to Units.Volume")
enum class WaterUnit(
    val unit: String,
    val fromML: Float
) {
    ML("ml", 1f),
    US_OZ("oz", 0.03381413f),
    IMP_OZ("oz", 0.03519503f);

    companion object {
        fun fromSettings(value: String): WaterUnit {
            return when (value.lowercase()) {
                "milliliter" -> ML
                "us ounce" -> US_OZ
                "imperial ounce" -> IMP_OZ
                else -> ML
            }
        }
    }
}
